<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<title>AMC13: behavioral Architecture  Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">AMC13
   </div>
   <div id="projectbrief">Firmwares for the different applications of the AMC13 uTCA board made at Boston University</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.1 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li><a href="classes.html"><span>Design&#160;Units</span></a></li>
      <li><a href="inherits.html"><span>Design&#160;Unit&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Design&#160;Unit&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Variables</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="classresync.html">resync</a></li><li class="navelem"><a class="el" href="classresync_1_1behavioral.html">behavioral</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a>  </div>
  <div class="headertitle">
<div class="title">behavioral Architecture Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><a href="classresync_1_1behavioral-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Processes"></a>
Processes</h2></td></tr>
 <tr class="memitem:aaeea6620a993595b6c668d5432f5d447"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aaeea6620a993595b6c668d5432f5d447"></a>
<a class="el" href="classresync_1_1behavioral.html#aaeea6620a993595b6c668d5432f5d447">PROCESS_112</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">glb_rst</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">clocki</span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:a30d8d862e76db24ff03b8e54de48dbf5"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a30d8d862e76db24ff03b8e54de48dbf5"></a>
<a class="el" href="classresync_1_1behavioral.html#a30d8d862e76db24ff03b8e54de48dbf5">PROCESS_113</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">reset</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">clocki</span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:aafdc2fc8944b7552b94b21a562c689f3"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aafdc2fc8944b7552b94b21a562c689f3"></a>
<a class="el" href="classresync_1_1behavioral.html#aafdc2fc8944b7552b94b21a562c689f3">PROCESS_114</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">glb_rst</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">clocko</span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:a67755979e19384104814a96612e9d6a1"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a67755979e19384104814a96612e9d6a1"></a>
<a class="el" href="classresync_1_1behavioral.html#a67755979e19384104814a96612e9d6a1">PROCESS_115</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">reset</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">clocko</span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:af1088d352a89634577a1fd323f69e79a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af1088d352a89634577a1fd323f69e79a"></a>
<a class="el" href="classresync_1_1behavioral.html#af1088d352a89634577a1fd323f69e79a">PROCESS_232</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">glb_rst</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">clocki</span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:a533142dd3e0a12534d59521936627f22"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a533142dd3e0a12534d59521936627f22"></a>
<a class="el" href="classresync_1_1behavioral.html#a533142dd3e0a12534d59521936627f22">PROCESS_233</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">reset</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">clocki</span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:ab18931dd77ec0c906a049aea795330f4"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab18931dd77ec0c906a049aea795330f4"></a>
<a class="el" href="classresync_1_1behavioral.html#ab18931dd77ec0c906a049aea795330f4">PROCESS_234</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">glb_rst</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">clocko</span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:a7525155ef0c5e0dbd0ded7b27a68fee3"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a7525155ef0c5e0dbd0ded7b27a68fee3"></a>
<a class="el" href="classresync_1_1behavioral.html#a7525155ef0c5e0dbd0ded7b27a68fee3">PROCESS_235</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">reset</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">clocko</span><span class="vhdlchar"> </span></b> )</b></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Signals"></a>
Signals</h2></td></tr>
 <tr class="memitem:a1811f7cfba8677c37bed1c91f18ba39d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a1811f7cfba8677c37bed1c91f18ba39d"></a>
<a class="el" href="classresync_1_1behavioral.html#a1811f7cfba8677c37bed1c91f18ba39d">reg</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">2</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a0f19dc66eaf4676bc54f17a1584f52d6"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a0f19dc66eaf4676bc54f17a1584f52d6"></a>
<a class="el" href="classresync_1_1behavioral.html#a0f19dc66eaf4676bc54f17a1584f52d6">mem</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ab2737005993a537d0310dea6848ae034"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab2737005993a537d0310dea6848ae034"></a>
<a class="el" href="classresync_1_1behavioral.html#ab2737005993a537d0310dea6848ae034">glb_rst</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock">
<p>Definition at line <a class="el" href="10Gb_2slink_2resync_8vhd_source.html#l00024">24</a> of file <a class="el" href="10Gb_2slink_2resync_8vhd_source.html">resync.vhd</a>.</p>
</div><hr/>The documentation for this class was generated from the following files:<ul>
<li>/work/dan/AMC13/amc13-fw/src/CMS_DAQ_if/10Gb/slink/<a class="el" href="10Gb_2slink_2resync_8vhd_source.html">resync.vhd</a></li>
<li>/work/dan/AMC13/amc13-fw/src/CMS_DAQ_if/5Gb/slink/<a class="el" href="5Gb_2slink_2resync_8vhd_source.html">resync.vhd</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Wed Sep 8 2021 11:22:44 for AMC13 by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.1
</small></address>
</body>
</html>
